/*
   BLAKE2 reference source code package - b2sum tool

   Copyright 2012, Samuel Neves <sneves@dei.uc.pt>.  You may use this under the
   terms of the CC0, the OpenSSL Licence, or the Apache Public License 2.0, at
   your option.  The terms of these licenses can be found at:

   - CC0 1.0 Universal : https://creativecommons.org/publicdomain/zero/1.0
   - OpenSSL license   : https://www.openssl.org/source/license.html
   - Apache 2.0        : https://www.apache.org/licenses/LICENSE-2.0

   More information about the BLAKE2 hash function can be found at
   https://blake2.net.

   Modifications for portability and partial file reads by Brian Lindholm,
   2020.
*/
#ifndef B2SUM_H
#define B2SUM_H

#if defined(__cplusplus)
extern "C" {
#endif

int blake2b_stream( FILE *stream, void *resstream, size_t outbytes, off_t readbytes );

#endif
